/* Estilos para el título del formulario */
h1 {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 2rem;
  }
  
  /* Estilos para el formulario de registro de citas */
  form {
    display: flex;
    flex-direction: column;
    max-width: 800px;
    margin: 0 auto;
    padding: 2rem;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  }
  
  /* Estilos para los campos del formulario */
  .form-label {
    font-weight: bold;
  }
  
  .form-control {
    width: 100%;
    padding: 0.5rem;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-bottom: 1rem;
  }
  
  .form-select {
    width: 100%;
    padding: 0.5rem;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-bottom: 1rem;
  }
  
  textarea.form-control {
    height: 120px;
  }
  
  /* Estilos para el botón del formulario */
  .btn {
    background-color: #007bff;
    border-color: #007bff;
    color: #fff;
    font-weight: bold;
    padding: 0.5rem 2rem;
    border-radius: 5px;
    cursor: pointer;
  }
  
  .btn:hover {
    background-color: #0069d9;
    border-color: #0062cc;
  }
  
  /* Estilos para la tabla de citas */
  table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 2rem;
  }
  
  thead {
    background-color: #007bff;
    color: #fff;
  }
  
  th,
  td {
    text-align: center;
    padding: 0.5rem;
    border: 1px solid #ccc;
  }
  
  th {
    font-weight: bold;
  }
  
  tbody tr:nth-child(odd) {
    background-color: #f2f2f2;
  }
  
  /* Estilos para los mensajes de error del formulario */
  .ng-invalid.ng-touched {
    border-color: #dc3545;
    background-color: #f8d7da;
  }
  
  .ng-invalid.ng-touched + .invalid-feedback {
    display: block;
    color: #dc3545;
    font-size: 0.8rem;
    margin-bottom: 1rem;
  }
  
  .image-container {
    text-align: center;
  }
  